summaryrefslogtreecommitdiffstats
path: root/source/n/httpd
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/httpd')
-rwxr-xr-xsource/n/httpd/httpd.SlackBuild11
-rw-r--r--source/n/httpd/httpd.brigade_move.__noinline__.gcc451.diff10
-rw-r--r--source/n/httpd/httpd.url2
-rw-r--r--source/n/httpd/logrotate.httpd1
4 files changed, 20 insertions, 4 deletions
diff --git a/source/n/httpd/httpd.SlackBuild b/source/n/httpd/httpd.SlackBuild
index 009537769..a97ccf362 100755
--- a/source/n/httpd/httpd.SlackBuild
+++ b/source/n/httpd/httpd.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,8 +25,8 @@
PKGNAM=httpd
-VERSION=${VERSION:-2.2.15}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.bz2 | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -83,6 +83,9 @@ find . \
zcat $CWD/config.layout.diff.gz | sed -e "s#lib/httpd#lib${LIBDIRSUFFIX}/httpd#" | patch --verbose -p1 || exit 1
+# Patch to fix aliasing issue exposed by gcc-4.5.1:
+zcat $CWD/httpd.brigade_move.__noinline__.gcc451.diff.gz | patch --verbose -p1 || exit 1
+
# Configure:
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -125,7 +128,7 @@ rmdir $PKG/usr/bin
( cd $PKG
zcat $CWD/httpd.nossldefault.diff.gz | sed -e "s#lib/httpd#lib${LIBDIRSUFFIX}/httpd#" | patch -p1 --verbose || exit 1
zcat $CWD/httpd.runasapache.diff.gz | patch -p1 --verbose || exit 1
- rm -f $PKG/etc/httpd/httpd.conf~
+ rm -f $PKG/etc/httpd/httpd.conf~ $PKG/etc/httpd/httpd.conf.orig
) || exit 1
# Change config files to .new:
( cd $PKG/etc/httpd
diff --git a/source/n/httpd/httpd.brigade_move.__noinline__.gcc451.diff b/source/n/httpd/httpd.brigade_move.__noinline__.gcc451.diff
new file mode 100644
index 000000000..e8915ae43
--- /dev/null
+++ b/source/n/httpd/httpd.brigade_move.__noinline__.gcc451.diff
@@ -0,0 +1,10 @@
+--- ./server/core_filters.c.orig 2010-02-26 03:32:15.000000000 -0600
++++ ./server/core_filters.c 2011-02-12 13:23:22.000000000 -0600
+@@ -83,6 +83,7 @@
+ *
+ * XXXX: Should this function be added to APR-Util?
+ */
++__attribute__((__noinline__))
+ static void brigade_move(apr_bucket_brigade *b, apr_bucket_brigade *a,
+ apr_bucket *e)
+ {
diff --git a/source/n/httpd/httpd.url b/source/n/httpd/httpd.url
new file mode 100644
index 000000000..8b8a17686
--- /dev/null
+++ b/source/n/httpd/httpd.url
@@ -0,0 +1,2 @@
+http://www.apache.org/dist/httpd/httpd-2.2.17.tar.bz2
+http://www.apache.org/dist/httpd/httpd-2.2.17.tar.bz2.asc
diff --git a/source/n/httpd/logrotate.httpd b/source/n/httpd/logrotate.httpd
index 30cee8a23..cc6383674 100644
--- a/source/n/httpd/logrotate.httpd
+++ b/source/n/httpd/logrotate.httpd
@@ -1,6 +1,7 @@
/var/log/httpd/*_log {
rotate 10
notifempty
+ missingok
size=5M
compress
delaycompress